#!/bin/bash

export SST_PID_FILE=/tmp/sstpos.pid
export SST_FLAG_FILE=/tmp/sstpos.flag
EXITCODE_FILE=/opt/sst-sco/data/exitcode

trap "[ -f $SST_FLAG_FILE ] && stopPos" EXIT

killPos() {
    sleep 10
    [[ -f $SST_PID_FILE ]] && sudo kill -9 `cat $SST_PID_FILE`
}

stopPos() {
    sudo rm $SST_FLAG_FILE
    if [[ -f $SST_PID_FILE ]]; then
        killPos &
        POS_PID=`cat $SST_PID_FILE`
        sudo kill $POS_PID

        while sudo kill -0 $POS_PID; do
            sleep 1
        done

        sudo kill -9 $(jobs -p)
    fi
}

runPos() {
    touch $SST_FLAG_FILE
    while [[ -f $SST_FLAG_FILE ]]; do
        /linuxcash/cash/bin/artix-sst-sco &
        echo "$!" > $SST_PID_FILE
        wait $!
        rm $SST_PID_FILE
        [[ -f $SST_FLAG_FILE ]] && sleep 1
    done
}

[[ -f $SST_PID_FILE ]] && sudo kill -9 `cat $SST_PID_FILE`
sudo -E bash -c "$(declare -f runPos); runPos" &
sudo -E /opt/sst-sco/bin/sst-sco
EXITCODE=0
[ -f $EXITCODE_FILE ] && EXITCODE=`cat $EXITCODE_FILE`
case $EXITCODE in
    1)
        echo '2' | sudo tee /tmp/cashstatuscode
        ;;
    2)
        echo '1' | sudo tee /tmp/cashstatuscode
        ;;
    *)
        echo '3' | sudo tee /tmp/cashstatuscode
        ;;
esac
